#ifndef __BModule_h__
#define __BModule_h__

#include "ThreadStateGraph.h"

struct BModule
{
public:
    void add( ThreadStateGraph *thread )
    {
        _threads.append( thread );
    }

    bool empty() const
    {
        return _threads.empty();
    }

    UniqueVector<ThreadStateGraph *> _threads;
};

#endif // __BModule_h__

//
// Local Variables:
// compile-command: "make -C .. "
// tags-file-name: "../TAGS"
// c-basic-offset: 4
// End:
//
