#ifndef __TargetPortPayload_h__
#define __TargetPortPayload_h__

struct TargetPortPayload
{
public:
    TargetPortPayload( unsigned targetPort ) :  _targetPort( targetPort )
    {
    }

    TargetPortPayload( const ConstSimpleData &payload )
    {
        memcpy( this, payload.data(), sizeof(TargetPortPayload) );
    }

    unsigned getTargetPort() const
    {
        return _targetPort;
    }

private:
    unsigned _targetPort;
} __attribute((packed));

#endif // __TargetPortPayload_h__

//
// Local Variables:
// compile-command: "make -C .. "
// tags-file-name: "../TAGS"
// c-basic-offset: 4
// End:
//
